package net.lamgc.scext.onedrive_transfer

data class ExtensionConfig(
    val clientId: String = "",
    val clientSecret: String = "",
    val useCommandPrefix: Boolean = true,
    val maxFileSize: Long = 1024L * 1024 * 1024 * 4,
    val maxTransferSize: Long = 1024L * 1024 * 1024 * 20,
    val centralSetting: CentralSetting = CentralSetting()
)

data class CentralSetting(
    val enable: Boolean = false,
    val port: Int = 24860,
    val secret: String = "",
)
